******------------------------------------------------------------------
*     This program performs stochastic simulations for bayesian 
*     learning based on reading instead of experiments.
*     The learner must choose from two theories and the possibility
*     that a given article is wrong is included in the analysis.
******------------------------------------------------------------------
      PROGRAM BAYES
******------------------------------------------------------------------
*     Double precision everything.
******------------------------------------------------------------------
      implicit double precision (a-h,o-z)
******------------------------------------------------------------------
*     Include files with parameters and common blocks.
******------------------------------------------------------------------
      include 'fp_def.f'
      include 'cb_all.f'
      dimension averag(mtheta)

*      nseed=-978513139
******------------------------------------------------------------------
*     Get the input data
******------------------------------------------------------------------
      do itheta=1,mtheta
         if (itheta.eq.1) then
            theta=0.51d0
            reptheta=0.514813d0
         else if (itheta.eq.2) then
            theta=0.55d0
            reptheta=0.591666666d0
         else if (itheta.eq.3) then
            theta=0.60d0
            reptheta=0.6432d0
         else if (itheta.eq.4) then
            theta=0.65d0
            reptheta=0.695d0
         else if (itheta.eq.5) then
            theta=0.70d0
            reptheta=0.76d0
         else if (itheta.eq.6) then
            theta=0.75d0
            reptheta=0.7908d0
          else if (itheta.eq.7) then
            theta=0.80d0
            reptheta=0.8192d0
         else if (itheta.eq.8) then
            theta=0.85d0
            reptheta=0.8632d0
         else if (itheta.eq.9) then
            theta=0.90d0
            reptheta=0.9072d0
         else if (itheta.eq.10) then
            theta=0.95d0
            reptheta=0.951205d0
          
         end if 
         call input
         if (mag.ne.1) then
            do ithe=1,mtheta
               averag(ithe)=0.0d0
            end do
         end if
******------------------------------------------------------------------
*     Loop for the agents
******------------------------------------------------------------------
         do iag=1,mag
******------------------------------------------------------------------
*     Initialize the population at t=0
******------------------------------------------------------------------
            call initialize
******------------------------------------------------------------------
*     Loop for the articles
******------------------------------------------------------------------
            do ia=1,ma
               call article
               call update
            end do
******------------------------------------------------------------------
*     Write the results
******------------------------------------------------------------------
            call avers
            if (mag.ne.1) then
               averag(itheta)=averag(itheta)+pave
            end if
            call writeop
         end do
         averag(itheta)=averag(itheta)/dfloat(mag)
 100     open(unit=1,file='averag.dat'  
     *        ,access='append' ,iostat=ierr)
         if (ierr.ne.0) go to 100
         write(1,*) theta, reptheta, pave
         close(unit=1)

      end do
******------------------------------------------------------------------
*     End the Program
******------------------------------------------------------------------
      STOP
      END

