******------------------------------------------------------------------
*     Input data:
*     nseed = value of the initial seed (odd, large);
*     theta = probability a random article will support A;
*     reptheta = probability a random replication article will support 
*        A;
*     phi(i,j,k) = probability field for chance of A being right;
*                an article be a deception; and chance the deception 
*                will favor A.
*     pav = priori average probability of A being right;
*     epav = priori average probability of article being a deception;
*     epstd = priori standard deviation of ep probability;
*     delav = priori average probability of deception favoring A;
*     delstd = priori standard deviation of del  probability;
*                        of hypothesis ihyp;
*     honav = priori average probability for the percentage of errors
*                         that are honest;
*     honstd = priori standard deviation of hon probability;
*     pa = Priori Beta parameter for p;
*     pb = Priori Beta parameter for p;
*     epa = Priori Beta parameter for ep;
*     epb = Priori Beta parameter for ep;
*     dela = Priori Beta parameter for del;
*     delb = Priori Beta parameter for del;
*     hona = Priori Beta parameter for hon;
*     honb = Priori Beta parameter for hon;
*     iart = flag for article supporting A or B (0=A; 1=B);
*     irep = flag for replication supporting A or B (0=A; 1=B);
*     irand = counter for the hypercube position (art);
*     jrand = counter for the hypercube position (rep);
*     epreal = actual value of epsilon (p=1);
*     delreal = actual value of delta;
*     honreal = actual value of hon;
*     alpha = if A is true, probability A will be confirmed;
*     beta = if B is true, probability B will be confirmed;
*     pave = average value for p;
*     epave = average value for epsilon;
*     delave = average value for del;
*     honave = average value for hon;
*     precision = stop value for pave.
******------------------------------------------------------------------
      common/data/ phi(0:1,0:md,0:md,0:md)
     *     ,theta, thetak, reptheta
     *     ,pav, epav, epstd, delav, delstd, honav, honstd
     *     ,pa, pb, epa, epb, dela, delb, hona, honb
     *     ,epreal, delreal, honreal, alpha, beta
     *     ,pave,  epave, delave, honave, precision
     *     ,iart, irep, irand, jrand, nseed
      save /data/
******------------------------------------------------------------------
