******------------------------------------------------------------------
*     This subroutine updates the opinions of the readers, using
*     Bayes theorem and including the possibility of deception.
******------------------------------------------------------------------
      SUBROUTINE UPDATE(istud,iread)
******------------------------------------------------------------------
*     Double precision everything.
******------------------------------------------------------------------
      implicit double precision (a-h,o-z)
******------------------------------------------------------------------
*     Include files with parameters and common blocks.
******------------------------------------------------------------------
      include 'fp_def.f'
      include 'cb_all.f'
******------------------------------------------------------------------
*     Local variables:
*     phinew = temporary storage for update opinion.
******------------------------------------------------------------------
      dimension phinew(0:1,0:md,0:md,0:md)
******------------------------------------------------------------------
*     Initialing local variables.
******------------------------------------------------------------------
      sumphinew=0.0d0
      do i=0,1
         do j=0,md
            do k=0,md
               do l=0,md
                  phinew(i,j,k,l)=0.0d0
               end do
            end do
         end do
      end do
******------------------------------------------------------------------
*     Calculate the unnormalized posteriori.
******------------------------------------------------------------------
      do i=0,1
         p=dfloat(i)

         do j=0,md
            ep=dfloat(j)/dfloat(md)

            do k=0,md
               del=dfloat(k)/dfloat(md)

               do l=0,md
                  hon=dfloat(l)/dfloat(md)
                  
******------------------------------------------------------------------
*     Check the combination of original article and replication.
******------------------------------------------------------------------
                  
                  if (iart.eq.0) then
*     Article supports A

                     if (irep.eq.0) then                        
*                        Replication also supports A


                        blikeart1=ep*(0.5*hon+del*(1-hon))
     *                       *(ep*(0.5*hon+del*(1-hon))+(1-ep)
     *                       *(p*alpha+(1-p)*(1-beta)))
                        blikeart2=(1-ep)*(p*alpha+(1-p)*(1-beta))
     *                       *(ep*(1-hon)*del+(1-ep*(1-hon))
     *                       *(p*alpha+(1-p)*(1-beta)))
                        blikeart=blikeart1+blikeart2
                     else
*     Replication supports B
                        
                        blikeart1=ep*(0.5*hon+del*(1-hon))
     *                       *(ep*(0.5*hon+(1-del)*(1-hon))
     *                       +(1-ep)*(p*(1-alpha)+(1-p)*(beta)))
                        blikeart2=(1-ep)*(p*alpha+(1-p)*(1-beta))
     *                       *(ep*(1-hon)*(1-del)+(1-ep*(1-hon))
     *                       *(p*(1-alpha)+(1-p)*(beta)))
                        blikeart=blikeart1+blikeart2
                     end if
                else
*     Article supports B

                   if (irep.eq.0) then
*     Replication supports A
                   
                   blikeart1=ep*(0.5*hon+(1-del)*(1-hon))
     *                  *(ep*(0.5*hon+del*(1-hon))+(1-ep)
     *                  *(p*alpha+(1-p)*(1-beta)))
                        blikeart2=(1-ep)*(p*(1-alpha)+(1-p)*beta)
     *                  *(ep*(1-hon)*del+(1-ep*(1-hon))
     *                  *(p*alpha+(1-p)*(1-beta)))
                        blikeart=blikeart1+blikeart2
                     else
*     Replication also supports B
                        
                        blikeart1=ep*(0.5*hon+(1-del)*(1-hon))
     *                       *(ep*(0.5*hon+(1-del)*(1-hon))
     *                       +(1-ep)*(p*(1-alpha)+(1-p)*beta))
                        blikeart2=(1-ep)*(p*(1-alpha)+(1-p)*beta)
     *                       *(ep*(1-hon)*(1-del)+(1-ep*(1-hon))
     *                       *(p*(1-alpha)+(1-p)*beta))
                        blikeart=blikeart1+blikeart2
                     end if
                  end if
                  
*     Calculate the posteriori and acumulate the values
                  phinew(i,j,k,l)=phi(i,j,k,l)*blikeart
                  sumphinew=sumphinew+phinew(i,j,k,l)
                  
               end do
            end do
         end do
      end do
      
******------------------------------------------------------------------
*     Normalize the posteriori
******------------------------------------------------------------------

*      WRITE(*,*) SUMPHINEW


      sumphinew=1.0d0/sumphinew
      do i=0,1
         do j=0,md
            do k=0,md
               do l=0,md
                  phi(i,j,k,l)=sumphinew*phinew(i,j,k,l)
               end do
            end do
         end do
      end do
      return
      END
******------------------------------------------------------------------
